org.jboss.netty.handler.codec.spdy

## Interface SpdyGoAwayFrame

- All Known Implementing Classes:
    DefaultSpdyGoAwayFrame

      public interface SpdyGoAwayFrame

  A SPDY Protocol GOAWAY Control Frame

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLastGoodStreamId()` Returns the Last-good-stream-ID of this frame.
    `int` | `getLastGoodStreamID()` Deprecated. Use `getLastGoodStreamId()` instead.
    `SpdySessionStatus` | `getStatus()` Returns the status of this frame.
    `void` | `setLastGoodStreamId(int lastGoodStreamId)` Sets the Last-good-stream-ID of this frame.
    `void` | `setLastGoodStreamID(int lastGoodStreamId)` Deprecated. Use `setLastGoodStreamId(int)` instead.
    `void` | `setStatus(SpdySessionStatus status)` Sets the status of this frame.

- - ### Method Detail

    - #### getLastGoodStreamID

          @Deprecated
          int getLastGoodStreamID()

      Deprecated. Use `getLastGoodStreamId()` instead.

    - #### getLastGoodStreamId

          int getLastGoodStreamId()

      Returns the Last-good-stream-ID of this frame.

    - #### setLastGoodStreamID

          @Deprecated
          void setLastGoodStreamID(int lastGoodStreamId)

      Deprecated. Use `setLastGoodStreamId(int)` instead.

    - #### setLastGoodStreamId

          void setLastGoodStreamId(int lastGoodStreamId)

      Sets the Last-good-stream-ID of this frame. The Last-good-stream-ID cannot be negative.

    - #### getStatus

          SpdySessionStatus getStatus()

      Returns the status of this frame.

    - #### setStatus

          void setStatus(SpdySessionStatus status)

      Sets the status of this frame.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.